petsc-3.15.0 2021-03-30
Report Typos and Errors

# TaoLineSearchDestroy

Destroys the TAO context that was created with TaoLineSearchCreate()

### Synopsis

    #include "petsctaolinesearch.h"
    PetscErrorCode TaoLineSearchDestroy(TaoLineSearch *ls)

Collective on TaoLineSearch

### Input Parameter

| ls | - the TaoLineSearch context

### See Also

: TaoLineSearchCreate(), TaoLineSearchSolve()

### Level

beginner

### Location

src/tao/linesearch/interface/taolinesearch.c
Index of all TaoLineSearch routines
Table of Contents for all manual pages
Index of all manual pages